package com.bbd.bpm.service;


import com.bbd.bpm.domain.User;
import com.bbd.bpm.domain.VacationForm;

import java.util.HashMap;
import java.util.List;

public interface MiaoService {

	public VacationForm writeForm(String title, String content, String applicant,String days);
	
	public boolean giveupVacation(String formId, String operator);
	
	public boolean applyVacation(String formId, String operator,String days);

	public boolean approverVacation(String formId, String operator);
	
	public void completeProcess(String days,String formId, String operator, String input);
	
	public HashMap<String,String> getCurrentState(String formId);

	public List<VacationForm> formList();

	public User loginSuccess(String user);

	public List historyState(String formId);

	void completeProcesss(String days, String formId, String operator, String input);
}
